source = colors.conf

# MONITORS

monitor = DVI-D-1, 1920x1080, 0x0, 1
monitor = HDMI-A-1, 3240x2160, 1920x0, 2

# ENV

$terminal = kitty
$fileManager = thunar
$menu = wofi --show drun --normal-window

env = LIBVA_DRIVER_NAME,nvidia
env = __GLX_VENDOR_LIBRARY_NAME,nvidia
env = HYPRCURSOR_THEME,Bibata-Modern-Classic

env = XCURSOR_SIZE,22
env = HYPRCURSOR_SIZE,22

env = QT_QPA_PLATFORMTHEME,qt6ct
env = QT_QPA_PLATFORM,wayland
env = XDG_MENU_PREFIX,plasma-

render:explicit_sync = 0

# WINDOW RULES

windowrulev2 = opacity 0.95 0.95,class:^(thunar)$
windowrulev2 = opacity 0.95 0.95,class:^(obsidian)$
windowrulev2 = opacity 0.95 0.95,class:^(Code)$
windowrulev2 = opacity 0.95 0.95,class:^(org.prismlauncher.PrismLauncher)$
windowrulev2 = opacity 0.95 0.95,class:^(com.obsproject.Studio)$
windowrulev2 = opacity 0.95 0.95,class:^(wofi)$

layerrule = blur, wofi

# AUTOSTART

exec-once = waybar & swww-daemon & mako
exec-once = hyprctl setcursor Bibata-Modern-Classic 22
exec-once = wal -R

# DECO

general {
    gaps_in = 4
    gaps_out = 8

    border_size = 0
    col.active_border = $primary $secondary 45deg
    col.inactive_border = $primary $secondary 45deg

    allow_tearing = false
    layout = dwindle
}

decoration {
    rounding = 4


    blur {
        enabled = true
        size = 4
        passes = 3
    }

    shadow {
	enabled = false
    }
}

misc {
    force_default_wallpaper = 0
    disable_hyprland_logo = true
}

# ANIMATIONS

animations {
    #  https://wiki.hyprland.org/Configuring/Animations/

    bezier = easeOutQuint,0.23,1,0.32,1
    bezier = easeInOutCubic,0.65,0.05,0.36,1
    bezier = linear,0,0,1,1
    bezier = almostLinear,0.5,0.5,0.75,1.0
    bezier = quick,0.15,0,0.1,1
    bezier = easeInOut,0.66,0,0.61,1

    animation = global, 1, 10, default
    animation = border, 1, 5.39, easeOutQuint
    animation = windows, 1, 4.79, easeOutQuint
    animation = windowsIn, 1, 4.1, easeOutQuint, popin 87%
    animation = windowsOut, 1, 1.49, linear, popin 87%
    animation = fadeIn, 1, 1.73, almostLinear
    animation = fadeOut, 1, 1.46, almostLinear
    animation = fade, 1, 3.03, quick
    animation = layers, 1, 3.81, easeOutQuint
    animation = layersIn, 1, 4, easeOutQuint, fade
    animation = layersOut, 1, 1.5, linear, fade
    animation = fadeLayersIn, 1, 1.79, almostLinear
    animation = fadeLayersOut, 1, 1.39, almostLinear
    animation = workspaces, 1, 3, easeInOut, slide
    animation = workspacesIn, 1, 3, easeInOut, slide
    animation = workspacesOut, 1, 3, easeInOut, slide
}

dwindle {
    pseudotile = true 
    preserve_split = true
}

# INPUT

input {
    follow_mouse = 1
    kb_layout = us, ru
    kb_options = grp:alt_shift_toggle
}

# BINDS

$mainMod = SUPER

bind = $mainMod, Q, exec, $terminal
bind = $mainMod, W, killactive,
bind = $mainMod, M, exit,
bind = $mainMod, E, exec, $fileManager
bind = $mainMod, R, exec, $menu
bind = $mainMod, Z, togglesplit,
bind = $mainMod, X, togglefloating,
bind = $mainMod, c, exec, hyprctl dispatch centerwindow
bind = $mainMod, F, fullscreen, 0

bind = $mainMod, 1, workspace, 1
bind = $mainMod, 2, workspace, 2
bind = $mainMod, 3, workspace, 3
bind = $mainMod, 4, workspace, 4
bind = $mainMod, 5, workspace, 5
bind = $mainMod, 6, workspace, 6
bind = $mainMod, 7, workspace, 7
bind = $mainMod, 8, workspace, 8
bind = $mainMod, 9, workspace, 9
bind = $mainMod, 0, workspace, 10

bind = $mainMod SHIFT, 1, movetoworkspace, 1
bind = $mainMod SHIFT, 2, movetoworkspace, 2
bind = $mainMod SHIFT, 3, movetoworkspace, 3
bind = $mainMod SHIFT, 4, movetoworkspace, 4
bind = $mainMod SHIFT, 5, movetoworkspace, 5
bind = $mainMod SHIFT, 6, movetoworkspace, 6
bind = $mainMod SHIFT, 7, movetoworkspace, 7
bind = $mainMod SHIFT, 8, movetoworkspace, 8
bind = $mainMod SHIFT, 9, movetoworkspace, 9
bind = $mainMod SHIFT, 0, movetoworkspace, 10

bind = $mainMod, left, movefocus, l
bind = $mainMod, right, movefocus, r
bind = $mainMod, up, movefocus, u
bind = $mainMod, down, movefocus, d

bind = $mainMod, mouse_down, workspace, e+1
bind = $mainMod, mouse_up, workspace, e-1

bindm = $mainMod, mouse:272, movewindow
bindm = $mainMod, mouse:273, resizewindow
bind = , mouse:275, workspace, e-1
bind = , mouse:276, workspace, e+1

bind = $mainMod SHIFT, S, exec, ~/.config/hypr/screenshot.sh
bind = $mainMod, T, exec, ~/.config/hypr/wallpaper_selector.sh
